Subject: Re: #402: Comparison function for If-Match and If-None-Match

From: Mark Nottingham <[email-masked]>
Date: Tue, 11 Dec 2012 16:07:43 +1100

Hearing nothing, I'll note it in the issue and mark for incorporation.

On 27/11/2012, at 2:37 PM, Mark Nottingham <[email-masked]> wrote:

> <http://trac.tools.ietf.org/wg/httpbis/trac/ticket/402>
> 
> On 19/11/2012, at 7:33 AM, Larry Masinter <[email-masked]> wrote:
> 
>>>> 2) In the definitions of If-Match and If-None-Match, we don't specify whether
>>> the weak or strong comparison function is to be used when these validations
>>> actually occur, although we spend a lot of text on when to use weak vs. strong
>>> ETags themselves.
>>>> 
>>>> Now, you might say that an origin server can decide whether to use the weak
>>> or strong function, but an intermediary or client cache doesn't have license to do
>>> weak comparison, and could cause a lot of trouble if it did. AFAICT we don't
>>> specify this, but I think we should.
>> 
>> The weak ETag response *is* the license.  
>>> 
>>> I propose we specify that proxy and client caches MUST use the strong
>>> comparison function with If-Match and If-None-Match.
>> 
>> Why gut the intent of weak ETags?
> 
> OK, makes sense. Any issue with documenting them as using the weak comparison function?
> 
> Regards,
> 
> --
> Mark Nottingham   http://www.mnot.net/
> 
> 
> 
> 

--
Mark Nottingham   http://www.mnot.net/